%define major	6
%define libname %mklibname %{name} %{major}

Summary: 	Encrypted pass-through filesystem for Linux
Name:		encfs
Version:	1.8.1
Release:	%mkrel 1
License:	GPLv3+
Group:		File tools
Source0:	http://encfs.googlecode.com/files/%{name}-%{version}.tar.gz
URL: 		https://vgough.github.io/encfs/
Requires:	fuse >= 2.6
Requires:	kmod(fuse.ko)
Requires:	openssl >= 0.9.7
BuildRequires:	rlog-devel >= 1.3
BuildRequires:	fuse-devel >= 2.6
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	chrpath
BuildRequires:	boost-devel >= 1.34
# only needed for autoreconf usage
BuildRequires:	gettext-devel

%description
EncFS implements an encrypted pass-through filesystem in userspace using
FUSE. File names and contents are encrypted using OpenSSL.

%package -n 	%{libname}
Summary:	Libraries for encfs
Group:		System/Libraries

%description -n	%{libname}
Libraries for encfs.

%prep
%setup -q 

%build
autoreconf -fi # avoid aclocal-1.13 invocation
%configure2_5x --disable-rpath --with-boost-libdir=%{_libdir}
%make

%install
%makeinstall_std
%find_lang %{name}

chrpath -d %{buildroot}%{_bindir}/{encfs,encfsctl}

# unneeded files
rm -f %{buildroot}%{_libdir}/libencfs.la
rm -f %{buildroot}%{_libdir}/libencfs.so

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%{_libdir}/libencfs.so.%{major}*


%changelog
* Mon Apr 11 2016 luigiwalser <luigiwalser> 1.8.1-1.mga5
+ Revision: 1000430
- 1.8.1 (fixes CVE-2014-3462)
- add patch from gentoo to fix pod file
- 1.7.5 (fixes CVE-2014-3462)
- update URL

* Wed Oct 15 2014 umeabot <umeabot> 1.7.4-14.mga5
+ Revision: 741588
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 tmb <tmb> 1.7.4-13.mga5
+ Revision: 724119
- adapt to new kmod provides

* Tue Sep 16 2014 umeabot <umeabot> 1.7.4-12.mga5
+ Revision: 679006
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7.4-11.mga5
+ Revision: 529395
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 1.7.4-10.mga4
+ Revision: 451768
- rebuild for new boost

* Thu Apr 11 2013 ennael <ennael> 1.7.4-9.mga3
+ Revision: 409611
- rebuild for boost 1.53

* Fri Jan 11 2013 umeabot <umeabot> 1.7.4-8.mga3
+ Revision: 349662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.7.4-7.mga3
+ Revision: 332933
- rebuild for new boost

* Tue Jul 31 2012 fwang <fwang> 1.7.4-6.mga3
+ Revision: 276522
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 1.7.4-5.mga3
+ Revision: 249692
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 1.7.4-4.mga2
+ Revision: 173506
- rebuild for new boost
- rebuild for new boost

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.7.4-2.mga2
+ Revision: 127489
- imported package encfs

